Hi there, I am developing a web application using the Magento API with Community v1.7.0.2. I developed it on my personal laptop, which is running PHP 5.3.23. When I moved it over to a development machine at work, the API failed with the following error:

PHP Fatal error: SOAP-ERROR: Parsing WSDL: Start tag expected, < not found

The dev system is running the same version of PHP, and SOAP is enabled on both machines.

At first, I thought that perhaps the Magento install was corrupted, but after a re-install, I got the exact same issue. I've seen quite a number of posts on line regarding this issue, but nothing seems to have worked, or explained why it'll work on my laptop, but not on the dev machine. My main concern is the next stage when we upload to a live server. If this is a PHP issue, I'll need to know exactly which modules are required before we decide on hosting.

I have tried connecting to the api using both v1 and v2.

Any help will be greatly received.

Mike